<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
	  	
         var Operaciones=function(num1,num2){

         	this.num1=num1;
         	this.num2=num2;
         	this.resultado=0;
         	this.Sumar=function(){
         		this.resultado=this.num1+this.num2;
         	};

                this.Restar=function(){
         		this.resultado=this.num1-this.num2;
         	};
        
                this.Producto=function(){
         		this.resultado=this.num1*this.num2;
         	};

         	    this.verResultado=function(){
         		console.log(this,resultado);
         	};


         };

var operacion1=new Operaciones(1,2);
operacion1.Sumar();
operacion1.verResultado();
operacion1.Restar();
operacion1.verResultado();









	</script>
</head>
<body>
	
</body>
</html>